# Interface methods for submodule: DifferenceOfGaussiansGradientImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: DifferenceOfGaussiansGradientImageFilter
class DifferenceOfGaussiansGradientImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetWidth(self) -> int:
		""""""
		...

	def SetWidth(self, _arg: int) -> None:
		""""""
		...

